Subject: Re: linux-next: manual merge of the perf tree with the origin tree

From: Namhyung Kim <[email-masked]>
Date: Thu, 21 May 2026 09:59:47 -0700

On Thu, May 21, 2026 at 08:44:00AM -0700, Ian Rogers wrote:
> On Thu, May 21, 2026 at 8:31 AM Mark Brown <[email-masked]> wrote:
> >
> > On Thu, May 21, 2026 at 08:04:11AM -0700, Ian Rogers wrote:
> > > On Thu, May 21, 2026 at 7:55 AM Thorsten Leemhuis <[email-masked]> wrote:
> > > > On 5/21/26 12:19, Mark Brown wrote:
> >
> > > > > between commit:
> >
> > > > >   552636b9317c8 ("perf trace: Add beautifier script for fsmount flags")
> >
> > > > > from the origin tree and commits:
> >
> > > > >   32969ef6e3e19 ("perf build: Pre-generate BPF skeleton tooling during umbrella prepare phase")
> >
> > > I believe this commit has issues with "perf trace: Add beautifier
> > > script for fsmount flags":
> > > https://web.git.kernel.org/pub/scm/linux/kernel/git/perf/perf-tools.git/commit/?h=perf-tools&id=552636b9317c8a843dd4496d77e56976ab48c76b
> > > This change went to the perf-tools tree and then to linux/master,
> > > while "perf build: Pre-generate BPF skeleton tooling during umbrella
> > > prepare phase" has gone to perf-tools-next and then to linux-next.
> > > I'll look into a fix.
> >
> > Yes, that's exactly the conflict I identified above - the lack of
> > coordination there was pretty surprising TBH, and also the fact that
> > 552636b9317c8 ("perf trace: Add beautifier script for fsmount flags")
> > went in after -rc1.
> 
> So I sent the fix:
> https://lore.kernel.org/lkml/[email-masked]/
> I'm pretty oblivious to the ins and outs of merging, but hopefully,
> you can work with the fix and the commit message.
> 
> How this happened: after the initial perf-tools PR for v7.1 Arnaldo
> and Namhyung prepared a fixes PR, a large part of which involved
> syncing kernel headers between the regular kernel include and
> tools/include. That sync exposed a bug in the "beautifier" scripts
> (caught by Sashiko) that scrape data from header files for "perf
> trace" an strace like command that displays values for syscall
> parameters, not just numbers. Namhyung wrote a fix along with the
> header file merge and put it into the perf-tools branch for the PR.

Right, thanks for the explanation.

> 
> Anyway, I think the issue was that perf-tools-next wasn't up-to-date
> with linux/master and therefore didn't include Namhyung's change. I
> think we can do better in the future but there were good intentions
> all around. Sorry for the breakage.

Normally we merge perf-tools fixes after it's applied to Linus' tree and
it used to have no problems.  This time we have conflicting changes and
it's found thanks to linux-next continuous integration.

And sorry for unsmooth handling of the conflict.  I should've noticed
you as I see there would be some conflicts.

Thanks,
Namhyung